ZWTextInternal::SubDocument Class Reference

Internal: the subdocument of a ZWText. More...

Inheritance diagram for ZWTextInternal::SubDocument:

## Public Member Functions

| SubDocument (ZWText &pars, MWAWInputStreamPtr input, int id, MWAWEntry entry, ZWText::TextCode type)
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWContentListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes

ZWText * | m_textParser
| the text parser More...
int | m_id
| the section id More...
ZWText::TextCode | m_type
| the type of document More...
MWAWEntry | m_pos
| the file pos More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions

| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a ZWText.

## Constructor & Destructor Documentation

ZWTextInternal::SubDocument::SubDocument | ( | ZWText & | pars,
|  | MWAWInputStreamPtr | input,
|  | int | id,
|  | MWAWEntry | entry,
|  | ZWText::TextCode | type
| ) |  |

inline

virtual ZWTextInternal::SubDocument::~SubDocument | ( |  | ) |

inline virtual

destructor

ZWTextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private

## Member Function Documentation

bool ZWTextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

virtual

operator!=

Reimplemented from MWAWSubDocument.

Referenced by operator==().

SubDocument& ZWTextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private

virtual bool ZWTextInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const

inline virtual

operator!==

void ZWTextInternal::SubDocument::parse | ( | MWAWContentListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |

virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

int ZWTextInternal::SubDocument::m_id

protected

the section id

Referenced by operator!=(), and parse().

MWAWEntry ZWTextInternal::SubDocument::m_pos

protected

the file pos

Referenced by operator!=(), and parse().

ZWText* ZWTextInternal::SubDocument::m_textParser

protected

the text parser

Referenced by operator!=(), and parse().

ZWText::TextCode ZWTextInternal::SubDocument::m_type

protected

the type of document

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- ZWText.cxx